Subject: Re: Regression in 2.6.27-rc7: Wake On LAN with sky2 broken

From: Tino Keitel <[email-masked]>
Date: Mon, 29 Sep 2008 23:18:03 +0200

On Thu, Sep 25, 2008 at 22:38:01 +0200, Rafael J. Wysocki wrote:
> On Thursday, 25 of September 2008, Tino Keitel wrote:
> > Hi,
> > 
> > I just found a method how I can enable WOL again:
> > 
> > echo enabled >
> > /sys/devices/pci0000:00/0000:00:1c.0/0000:01:00.0/power/wakeup
> > 
> > This device is the NIC device, of cause.
> 
> I guess the box didn't hang during suspend with this setting?
> 
> If that's correct, please test the patch below.

With the attached patch, WOL works as intended the hang also didn't
happen.

Thanks and regards,
Tino